<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.mapper.EmploymentDataMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.web.domain.entity.EmploymentData">
            <id property="id" column="id" jdbcType="INTEGER"/>
            <result property="months" column="months" jdbcType="VARCHAR"/>
            <result property="positionNumber" column="position_number" jdbcType="INTEGER"/>
            <result property="hireNumber" column="hire_number" jdbcType="INTEGER"/>
            <result property="monthPayLow" column="month_pay_low" jdbcType="VARCHAR"/>
            <result property="monthPayHigh" column="month_pay_high" jdbcType="VARCHAR"/>
            <result property="shoragePosition" column="shorage_position" jdbcType="VARCHAR"/>
            <result property="skillTraining" column="skill_training" jdbcType="INTEGER"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,months,position_number,
        hire_number,month_pay_low,month_pay_high,
        shorage_position,skill_training,create_time,
        update_time,del_flag
    </sql>
</mapper>
